JavaScript Scripting (Nashorn) [3.3.0;3.5.0)

This add-on allows you to use your older JavaScript (ECMAScript 5.1) rules on newer Java versions until they are migrated to JavaScript (ECMAScript 2021+).

The add-on uses a standalone Nashorn Engine which was part of Java until it was removed in Java 15.

Resources

1 Like

There’s a PR for adding the add-on for backwards compatibility because OH 4 will require Java 17:

Hi! Thanks for your continuous support! It saves my life! How is it going on for java 17 for OH4?
Can’t wait for it :wink: